import { REPORT_FORMAT_VALUES } from '../collect/constants.js';
const isValidFormat = (value) => REPORT_FORMAT_VALUES.includes(value);
function sanitizedFormats(formats) {
    const validatedFormats = formats.filter(isValidFormat);
    if (validatedFormats.length !== formats.length) {
        throw new Error(`${formats} contains invalid format options`);
    }
    return validatedFormats;
}
export function getInitCommandOptionsFromArgv(argv) {
    let { generateFlow, generateGhWorkflow, generateBudgets, lhr, url, ufPath, serveCommand, awaitServeStdout, outPath, format, budgetPath, budgets } = argv;
    let collect = {};
    url && (collect.url = url);
    ufPath && (collect.ufPath = ufPath);
    // optional
    serveCommand && (collect.serveCommand = serveCommand);
    awaitServeStdout && (collect.awaitServeStdout = awaitServeStdout);
    let persist = {};
    outPath && (persist.outPath = outPath);
    format && (persist.format = sanitizedFormats(format));
    let assert = {};
    budgetPath && (assert.budgetPath = budgetPath);
    budgets && (assert.budgets = budgets);
    return { collect, persist, assert,
        generateFlow, generateGhWorkflow, generateBudgets, lhr
    };
}
//# sourceMappingURL=utils.js.map